Bug 1019667 - Subscribe one DataCenter pool isn't sufficient to multi-socket host
Subscribe one DataCenter pool isn't sufficient to multi-socket host
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: releng (Show other bugs)
6.5
x86_64 Linux
unspecified Severity high
: rc
: ---
Assigned To: Lubos Kocman
Release Test Team
: TestBlocker
Depends On:
Blocks: rhsm-rhel65
  Show dependency treegraph
 
Reported: 2013-10-16 04:34 EDT by Liushihui
Modified: 2013-10-22 06:56 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-21 15:13:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Liushihui 2013-10-16 04:34:27 EDT
Description of problem:
When the host's socket's quantity > 1 ,it can't fully subscribed after subscribe one Dataceneter subscription

Version-Release number of selected component (if applicable):
subscription-manager-1.9.9-1.el6.x86_64
python-rhsm-1.9.6-1.el6.x86_64
virt-who-0.8-9.el6.noarch
katello-headpin-1.4.3.19-1.el6sam_splice.noarch
candlepin-0.8.26-1.el6sam.noarch

How reproducible:
Always

Steps to Reproduce:
1. In the host : Modify the socket to 6
#echo '{"cpu.cpu_socket(s)":"4"}' > /etc/rhsm/facts/custom.facts
#subscription-manager facts --update
2. Register host to SAM server and subscribe the Datacenter pool
SAM server ip:10.66.13.219
# subscription-manager register --username=admin --password=admin
# subscription-manager subscribe --pool=8ac28c034196c0fc0141bfa98fcf0d70(Datacenter pool)
3. Check the consumed subscription's status
# subscription-manager list --consumed
+-------------------------------------------+
   Consumed Subscriptions
+-------------------------------------------+
Subscription Name: Red Hat Enterprise Linux Server, Datacenter Standard
Provides:          
SKU:               RH00002
Contract:          10032035
Account:           5225762
Serial:            2913370605097514270
Pool ID:           8ac28c034196c0fc0141bfa98fcf0d70
Active:            True
Quantity Used:     1
Service Level:     Standard
Service Type:      L1-L3
Status Details:    Only covers 2 of 6 sockets.
Starts:            12/31/2012
Ends:              12/31/2013
System Type:       Physical

Actual results:
The Status Details is "Only covers 2 of 6 sockets", it means the Datacenter pool is socket based in the host

Expected results:
The Status Detail should be empty as Datacenter pool shouldn't be socket based

Additional info:
Comment 2 John Sefler 2013-10-16 10:17:37 EDT
Sounds like the DataCenter SKU RH00002 has a sockets attribute set and is non-stackable.
Setting NEEDINFO on acarter to determine if this SKU was set up as expected.
Comment 6 Bryan Kearney 2013-10-21 15:13:24 EDT
Per Amandas comments, closing this out.
Comment 7 Liushihui 2013-10-22 06:56:55 EDT
Hi Amanda,
  
Thanks for your clarification, I will update our test cases according to your comments.

Thanks!
Shihui Liu

Note You need to log in before you can comment on or make changes to this bug.